#include <iostream>
#include <vector>
#include "histogram.h"
#include "text.h"
using namespace std;

struct Input {
    vector<double> numbers;
    size_t bin_count = 0;
};

Input input_data() {
    Input in;
    int number_count;

    do {
        cerr << "Enter number count: ";
        cin >> number_count;
    } while (number_count < 1);

    do {
        cerr << "Enter bucket: ";
        cin >> in.bin_count;
    } while (in.bin_count < 1);

    cerr << "\n";

    in.numbers.resize(number_count);
    for (int i = 0; i < number_count; i++) {
        cin >> in.numbers[i];
    }

    return in;
}

int main() {
    auto input = input_data();
    auto bins = make_histogram(input.numbers, input.bin_count);
    show_histogram_text(bins);

    return 0;
}
